import 'package:saker/framework/hsf/hsf_object_base.dart';

class AddressInfo implements DObjectBase {
    String address;

    String country;

    String province;

    String city;

    String area;

    int divisionId;

    String gps;


    String getRType() {
        return r'com.alibaba.idlefish.content.AddressInfo';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        //从Map转成对象的实现
        address = JsonUtil.parseString(json['address']);
        country = JsonUtil.parseString(json['country']);
        province = JsonUtil.parseString(json['province']);
        city = JsonUtil.parseString(json['city']);
        area = JsonUtil.parseString(json['area']);
        divisionId = JsonUtil.parseInt(json['divisionId']);
        gps = JsonUtil.parseString(json['gps']);
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('address', makePair(address,14));
        writeNotNull('country', makePair(country,14));
        writeNotNull('province', makePair(province,14));
        writeNotNull('city', makePair(city,14));
        writeNotNull('area', makePair(area,14));
        writeNotNull('divisionId', makePair(divisionId,7));
        writeNotNull('gps', makePair(gps,14));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('address', address);
        writeNotNull('country', country);
        writeNotNull('province', province);
        writeNotNull('city', city);
        writeNotNull('area', area);
        writeNotNull('divisionId', divisionId);
        writeNotNull('gps', gps);
        return val;
    }
}
