import 'package:saker/framework/hsf/hsf_object_base.dart';

class ImageInfo implements DObjectBase {
    static const int IMAGE = 0;

    static const int VIDEO = 1;

    int type;

    int height;

    int width;

    String url;

    bool major;


    String getRType() {
        return r'com.alibaba.idlefish.content.ImageInfo';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        //从Map转成对象的实现
        type = JsonUtil.parseInt(json['type']);
        height = JsonUtil.parseInt(json['height']);
        width = JsonUtil.parseInt(json['width']);
        url = JsonUtil.parseString(json['url']);
        major = JsonUtil.parseBool(json['major']);
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('type', makePair(type,6));
        writeNotNull('height', makePair(height,5));
        writeNotNull('width', makePair(width,5));
        writeNotNull('url', makePair(url,14));
        writeNotNull('major', makePair(major,1));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('type', type);
        writeNotNull('height', height);
        writeNotNull('width', width);
        writeNotNull('url', url);
        writeNotNull('major', major);
        return val;
    }
}
