import 'package:saker/framework/hsf/hsf_object_base.dart';

class ItemErrorCode implements DObjectBase {
    //这个值映射Java枚举常量名
    String enum_item_name;
    String errorKey;
    String errorMsg;

    ItemErrorCode();

    ItemErrorCode.fromParameters(String enum_item_name,String errorKey,String errorMsg) {
        this.enum_item_name = enum_item_name;
        this.errorKey = errorKey;
        this.errorMsg = errorMsg;
    }

    static ItemErrorCode SYSTEM_ERROR = new ItemErrorCode.fromParameters('SYSTEM_ERROR','SYSTEM_ERROR','系统错误!');
    static ItemErrorCode SYSTEM_DB_SAVE_ERROR = new ItemErrorCode.fromParameters('SYSTEM_DB_SAVE_ERROR','SYSTEM_DB_SAVE_ERROR','系统错误,请联系工作人员!');
    static ItemErrorCode SYSTEM_VIDEO_SAVE_ERROR = new ItemErrorCode.fromParameters('SYSTEM_VIDEO_SAVE_ERROR','SYSTEM_VIDEO_SAVE_ERROR','视频更新失败,请联系工作人员!');
    static ItemErrorCode SYSTEM_VIDEO_INFO_ERROR = new ItemErrorCode.fromParameters('SYSTEM_VIDEO_INFO_ERROR','SYSTEM_VIDEO_INFO_ERROR','视频信息缺失,请联系工作人员!');
    static ItemErrorCode SYSTEM_UNKOWN_TYPE_PUBLISH = new ItemErrorCode.fromParameters('SYSTEM_UNKOWN_TYPE_PUBLISH','SYSTEM_UNKOWN_TYPE_PUBLISH','未知的操作类型!');
    static ItemErrorCode SYSTEM_DB_QUERY_ERROR = new ItemErrorCode.fromParameters('SYSTEM_DB_QUERY_ERROR','SYSTEM_DB_QUERY_ERROR','系统错误,请联系工作人员!');
    static ItemErrorCode UNKOWN_ERROR = new ItemErrorCode.fromParameters('UNKOWN_ERROR','UNKOWN_ERROR','未知错误!');
    static ItemErrorCode IC_ERROR_CODE_EXCEPTION = new ItemErrorCode.fromParameters('IC_ERROR_CODE_EXCEPTION','IC_ERROR_CODE_EXCEPTION','ic信息异常');
    static ItemErrorCode IC_ERROR_SERVICE_EXCEPTION = new ItemErrorCode.fromParameters('IC_ERROR_SERVICE_EXCEPTION','IC_ERROR_SERVICE_EXCEPTION','商品服务跪了!');
    static ItemErrorCode AUCTION_ERROR_SERVICE_EXCEPTION = new ItemErrorCode.fromParameters('AUCTION_ERROR_SERVICE_EXCEPTION','AUCTION_ERROR_SERVICE_EXCEPTION','拍卖服务跪了!');
    static ItemErrorCode ITEM_NOT_FOUND = new ItemErrorCode.fromParameters('ITEM_NOT_FOUND','ITEM_NOT_FOUND','找不到该商品');
    static ItemErrorCode VIDEO_NOT_FOUND = new ItemErrorCode.fromParameters('VIDEO_NOT_FOUND','VIDEO_NOT_FOUND','找不到该视频');
    static ItemErrorCode ITEM_ERROR_PUBLISH_LIMIT_16 = new ItemErrorCode.fromParameters('ITEM_ERROR_PUBLISH_LIMIT_16','ITEM_ERROR_PUBLISH_LIMIT_16','需年满16周岁且实名注册用户方可发');
    static ItemErrorCode EDIT_NOT_ALLOWED = new ItemErrorCode.fromParameters('EDIT_NOT_ALLOWED','EDIT_NOT_ALLOWED','该版本过旧，请使用新版本编辑');
    static ItemErrorCode KFC_ERROR_TITLE = new ItemErrorCode.fromParameters('KFC_ERROR_TITLE','KFC_ERROR_TITLE','请勿发布违反法律法规或闲鱼管理要求禁止发布的信息，请重新核实再发布。');
    static ItemErrorCode KFC_ERROR_VIRTUAL_TITLE = new ItemErrorCode.fromParameters('KFC_ERROR_VIRTUAL_TITLE','KFC_ERROR_VIRTUAL_TITLE','请勿发布充值卡券、虚拟游戏等高风险商品的交易信息，请重新核实再发布。');
    static ItemErrorCode KFC_ERROR_CONTACTER = new ItemErrorCode.fromParameters('KFC_ERROR_CONTACTER','KFC_ERROR_CONTACTER','请勿发布违反法律法规或闲鱼管理要求禁止发布的信息，请重新核实再发布。');
    static ItemErrorCode KFC_ERROR_DISCREBE = new ItemErrorCode.fromParameters('KFC_ERROR_DISCREBE','KFC_ERROR_DISCREBE','请勿发布违反法律法规或闲鱼管理要求禁止发布的信息，请重新核实再发布。');
    static ItemErrorCode KFC_ERROR_DRAFT_CONDITION = new ItemErrorCode.fromParameters('KFC_ERROR_DRAFT_CONDITION','KFC_ERROR_DRAFT_CONDITION','请勿发布违反法律法规或闲鱼管理要求禁止发布的信息，请重新核实再发布。');
    static ItemErrorCode KFC_ERROR_OUTER_SITE_CONTACTOR_KFC = new ItemErrorCode.fromParameters('KFC_ERROR_OUTER_SITE_CONTACTOR_KFC','KFC_ERROR_OUTER_SITE_CONTACTOR','请勿发布含站外引导或联系方式等信息（如社交账号、网站链接、二维码、手机号等）请重新核实再发布。');
    static ItemErrorCode KFC_ERROR_OUTER_SITE_CONTACTOR_GARBAGE = new ItemErrorCode.fromParameters('KFC_ERROR_OUTER_SITE_CONTACTOR_GARBAGE','KFC_ERROR_OUTER_SITE_CONTACTOR','请勿发布含站外引导或联系方式等信息（如社交账号、网站链接、二维码、手机号等）请重新核实再发布。');
    static ItemErrorCode KFC_ERROR_G20_CONDITION = new ItemErrorCode.fromParameters('KFC_ERROR_G20_CONDITION','KFC_ERROR_G20_CONDITION','您的商品标题或描述可能存在安全隐患，请修改后重新发布');
    static ItemErrorCode KFC_ERROR_PTZLZZZR_CONDITION = new ItemErrorCode.fromParameters('KFC_ERROR_PTZLZZZR_CONDITION','KFC_ERROR_PTZLZZZR_CONDITION','请勿发布需资质准入或属于闲鱼违规类的商品信息，请重新核实再发布。');
    static ItemErrorCode DRAFT_ERROR_TYPE = new ItemErrorCode.fromParameters('DRAFT_ERROR_TYPE','DRAFT_ERROR_TYPE','宝贝类型不是草稿');
    static ItemErrorCode DRAFT_ERROR_STATUS_ILLEGAL = new ItemErrorCode.fromParameters('DRAFT_ERROR_STATUS_ILLEGAL','DRAFT_ERROR_STATUS_ILLEGAL','帖子状态不合法');
    static ItemErrorCode DRAFT_ERROR_FISH_POOL_EMPTY = new ItemErrorCode.fromParameters('DRAFT_ERROR_FISH_POOL_EMPTY','DRAFT_ERROR_FISH_POOL_EMPTY','鱼塘为空或者鱼塘未启用');
    static ItemErrorCode DRAFT_ERROR_CONDITION_ERROR = new ItemErrorCode.fromParameters('DRAFT_ERROR_CONDITION_ERROR','DRAFT_ERROR_CONDITION_ERROR','条件不能为空且不超过15个汉字');
    static ItemErrorCode TOPIC_ERROR_TYPE = new ItemErrorCode.fromParameters('TOPIC_ERROR_TYPE','TOPIC_ERROR_TYPE','宝贝类型不是鱼塘话题');
    static ItemErrorCode TOPIC_ERROR_STATUS_ILLEGAL = new ItemErrorCode.fromParameters('TOPIC_ERROR_STATUS_ILLEGAL','TOPIC_ERROR_STATUS_ILLEGAL','鱼塘话题状态不合法');
    static ItemErrorCode USER_ERROR_USER_CANT_FOUND = new ItemErrorCode.fromParameters('USER_ERROR_USER_CANT_FOUND','USER_ERROR_USER_CANT_FOUND','用户不存在');
    static ItemErrorCode USER_ERROR_USER_NOT_AUTH = new ItemErrorCode.fromParameters('USER_ERROR_USER_NOT_AUTH','USER_ERROR_USER_NOT_AUTH','用户未通过支付宝实名认证');
    static ItemErrorCode USER_ERROR_USER_B_SELLER = new ItemErrorCode.fromParameters('USER_ERROR_USER_B_SELLER','USER_ERROR_USER_B_SELLER','B商家不能发布');
    static ItemErrorCode USER_ERROR_USER_IS_XIAOER = new ItemErrorCode.fromParameters('USER_ERROR_USER_IS_XIAOER','USER_ERROR_USER_IS_XIAOER','小二账号不能发布');
    static ItemErrorCode USER_ERROR_USER_WAS_FORBIDDEN = new ItemErrorCode.fromParameters('USER_ERROR_USER_WAS_FORBIDDEN','USER_ERROR_USER_WAS_FORBIDDEN2','用户被处罚限制发布');
    static ItemErrorCode QUANTITY_ITEM_CAT_TOO_LARGE = new ItemErrorCode.fromParameters('QUANTITY_ITEM_CAT_TOO_LARGE','QUANTITY_ITEM_CAT_TOO_LARGE','您发布的宝贝(包括一口价、帖子、拍卖、鱼塘活动)数量超过50个，请您及时调整您的宝贝数量，再上传宝贝');
    static ItemErrorCode REST_TOTAL_QUANTITY_GREAT_RESTRICT = new ItemErrorCode.fromParameters('REST_TOTAL_QUANTITY_GREAT_RESTRICT','REST_TOTAL_QUANTITY_GREAT_RESTRICT','您发布的宝贝(包括一口价、帖子、拍卖、鱼塘活动)数量超过50个，请您及时调整您的宝贝数量，再上传宝贝');
    static ItemErrorCode BID_NO_PERMISSION_USER = new ItemErrorCode.fromParameters('BID_NO_PERMISSION_USER','BID_NO_PERMISSION_USER','非拍卖用户,不能发布拍卖宝贝');
    static ItemErrorCode BID_PRICE_START_ILLEGAL = new ItemErrorCode.fromParameters('BID_PRICE_START_ILLEGAL','ERROR_ITEM_PRICE_START_ILLEGAL','起拍价应设置在1元到99999999元之间(整数)');
    static ItemErrorCode BID_PRICE_AMOUNT_ILLEGAL = new ItemErrorCode.fromParameters('BID_PRICE_AMOUNT_ILLEGAL','ERROR_ITEM_PRICE_AMOUNT_ILLEGAL','起拍价最小单位是元');
    static ItemErrorCode BID_DEPOSIT_AMOUNT_REQUIRED = new ItemErrorCode.fromParameters('BID_DEPOSIT_AMOUNT_REQUIRED','ERROR_ITEM_DEPOSIT_AMOUNT_REQUIRED','保证金未设置');
    static ItemErrorCode BID_DEPOSIT_AMOUNT_ILLEGAL = new ItemErrorCode.fromParameters('BID_DEPOSIT_AMOUNT_ILLEGAL','ERROR_ITEM_DEPOSIT_AMOUNT_ILLEGAL','保证金应设置在1元到1000000元之间(整数)');
    static ItemErrorCode BID_PRICE_MARGIN_ILLEGAL = new ItemErrorCode.fromParameters('BID_PRICE_MARGIN_ILLEGAL','ERROR_ITEM_PRICE_MARGIN_ILLEGAL','加价幅度应设置在1元到1000000元之间(整数)');
    static ItemErrorCode BID_PRICE_MARGIN_REQUIRED = new ItemErrorCode.fromParameters('BID_PRICE_MARGIN_REQUIRED','ERROR_ITEM_PRICE_MARGIN_REQUIRED','加价幅度未设置');
    static ItemErrorCode BID_ITEM_AUCTION_TIME_NEED = new ItemErrorCode.fromParameters('BID_ITEM_AUCTION_TIME_NEED','ERROR_ITEM_AUCTION_TIME_NEED','拍品开始或者结束时间不能为空');
    static ItemErrorCode BID_ITEM_AUCTION_BEG_MUST_AFTER_NOW = new ItemErrorCode.fromParameters('BID_ITEM_AUCTION_BEG_MUST_AFTER_NOW','ERROR_ITEM_AUCTION_BEG_MUST_AFTER_NOW','拍品开始时间必须大于当前时间');
    static ItemErrorCode BID_ITEM_AUCTION_END_MUST_AFTER_NOW = new ItemErrorCode.fromParameters('BID_ITEM_AUCTION_END_MUST_AFTER_NOW','ERROR_ITEM_AUCTION_END_MUST_AFTER_NOW','拍品结束时间必须大于当前时间');
    static ItemErrorCode BID_ITEM_AUCTION_END_MUST_AFTER_AUCTION_START = new ItemErrorCode.fromParameters('BID_ITEM_AUCTION_END_MUST_AFTER_AUCTION_START','ERROR_ITEM_AUCTION_END_MUST_AFTER_AUCTION_START','拍品结束时间必须大于开始时间');
    static ItemErrorCode BID_ERROR_AUCTION_ID_LOST = new ItemErrorCode.fromParameters('BID_ERROR_AUCTION_ID_LOST','BID_ERROR_AUCTION_ID_LOST','拍卖id缺失');
    static ItemErrorCode BID_ERROR_STATUS_CHANGE_TO_ITEM = new ItemErrorCode.fromParameters('BID_ERROR_STATUS_CHANGE_TO_ITEM','DRAFT_ERROR_STATUS_CHANGE_TO_ITEM','禁止拍卖商品和非拍卖商品转化');
    static ItemErrorCode PICTURE_ERROR_MULTI_PIC = new ItemErrorCode.fromParameters('PICTURE_ERROR_MULTI_PIC','PICTURE_ERROR_MULTI_PIC','对不起，上传失败，请稍后再试');
    static ItemErrorCode PICTURE_OVER_AVAILSPACE = new ItemErrorCode.fromParameters('PICTURE_OVER_AVAILSPACE','PICTURE_OVER_AVAILSPACE','图片空间余量不足，请删除部分图片');
    static ItemErrorCode PICTURE_TIME_OUT = new ItemErrorCode.fromParameters('PICTURE_TIME_OUT','PICTURE_TIME_OUT','上传超时,请稍后再试');
    static ItemErrorCode PICTURE_ERROR_FORMAT = new ItemErrorCode.fromParameters('PICTURE_ERROR_FORMAT','PICTURE_ERROR_FORMAT','上传的图片必�是jpg,png或者gif格式');
    static ItemErrorCode PICTURE_NO_SERVICE = new ItemErrorCode.fromParameters('PICTURE_NO_SERVICE','PICTURE_NO_SERVICE','您未开通图片服务');
    static ItemErrorCode PICTURE_SERVICE_OVERDUE = new ItemErrorCode.fromParameters('PICTURE_SERVICE_OVERDUE','PICTURE_SERVICE_OVERDUE','图片空间余量不足或图片服务已过期，请于图片空间中删除部分图片');
    static ItemErrorCode PICTURE_ERROR_THIS_PIC = new ItemErrorCode.fromParameters('PICTURE_ERROR_THIS_PIC','ERROR_THIS_PIC','该图片可能有问题，请换一张重试');
    static ItemErrorCode PICTURE_OVER_MAXSIZE = new ItemErrorCode.fromParameters('PICTURE_OVER_MAXSIZE','PICTURE_OVER_MAXSIZE','该图片太大了，请换一张图片');
    static ItemErrorCode PICTURE_IS_NULL = new ItemErrorCode.fromParameters('PICTURE_IS_NULL','PICTURE_IS_NULL','必须上传一张图片');
    static ItemErrorCode PICTURE_OUT_OF_MEMERY = new ItemErrorCode.fromParameters('PICTURE_OUT_OF_MEMERY','PICTURE_OUT_OF_MEMERY','超过最大上传图片限制');
    static ItemErrorCode PICTURE_IMAGE_TYPE_UNDEFINED = new ItemErrorCode.fromParameters('PICTURE_IMAGE_TYPE_UNDEFINED','PICTURE_IMAGE_TYPE_UNDEFINED','必须制定上传图片的类型ImageType');
    static ItemErrorCode PICTURE_IMAGE_TEXT_OUT_OF_MEMERY = new ItemErrorCode.fromParameters('PICTURE_IMAGE_TEXT_OUT_OF_MEMERY','PICTURE_IMAGE_TEXT_OUT_OF_MEMERY','图文上传的文字不能超过30个汉字');
    static ItemErrorCode PICTURE_IMAGE_NO_CORRECT = new ItemErrorCode.fromParameters('PICTURE_IMAGE_NO_CORRECT','PICTURE_IMAGE_NO_CORRECT','图片数据不能为空');
    static ItemErrorCode PICTURE_MAJOR_IMAGE_ERROR = new ItemErrorCode.fromParameters('PICTURE_MAJOR_IMAGE_ERROR','PICTURE_MAJOR_IMAGE_ERROR','请指定一张主图');
    static ItemErrorCode PICTURE_RISK_OUT_IMAGE_URL = new ItemErrorCode.fromParameters('PICTURE_RISK_OUT_IMAGE_URL','PICTURE_RISK_OUT_IMAGE_URL','图片中包含外部链接');
    static ItemErrorCode PICTURE_IMAGE_DELTEDED_ERROR = new ItemErrorCode.fromParameters('PICTURE_IMAGE_DELTEDED_ERROR','PICTURE_IMAGE_DELTED_ERROR','您上传的图片出现异常，请更换图片，重新上传');
    static ItemErrorCode DUTCH_ITEM_CAN_NOT_BE_DELETE = new ItemErrorCode.fromParameters('DUTCH_ITEM_CAN_NOT_BE_DELETE','DUTCH_ITEM_CAN_NOT_BE_DELETE','亲，报名成功后，在活动期间不可修改/删除商品信息');
    static ItemErrorCode CATEGORY_ERROR_CATEGORY_NOT_EXIST = new ItemErrorCode.fromParameters('CATEGORY_ERROR_CATEGORY_NOT_EXIST','CATEGORY_ERROR_CATEGORY_NOT_EXIST','类目不存在或者选择类目不是叶子类目');
    static ItemErrorCode CATEGORY_ERROR_RENT_NEED_AREA = new ItemErrorCode.fromParameters('CATEGORY_ERROR_RENT_NEED_AREA','CATEGORY_ERROR_RENT_NEED_AREA','整租房必须填写房屋面积');
    static ItemErrorCode CATEGORY_ERROR_RENT_NEED_AREA_OLDPUB = new ItemErrorCode.fromParameters('CATEGORY_ERROR_RENT_NEED_AREA_OLDPUB','CATEGORY_ERROR_RENT_NEED_AREA_OLDPUB','请确认已填写所有内容,或重启应用后再试');
    static ItemErrorCode CATEGORY_ERROR_PRICE_LESS_THAN_COMMON = new ItemErrorCode.fromParameters('CATEGORY_ERROR_PRICE_LESS_THAN_COMMON','CATEGORY_ERROR_PRICE_LESS_THAN_COMMON','该类目下宝贝价格设置太低');
    static ItemErrorCode CATEGORY_ERROR_PRICE_MORE_THAN_COMMON = new ItemErrorCode.fromParameters('CATEGORY_ERROR_PRICE_MORE_THAN_COMMON','CATEGORY_ERROR_PRICE_MORE_THAN_COMMON','该类目下宝贝价格设置太高');
    static ItemErrorCode ITEM_ERROR_ITEM_TEMPLATE_ID = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_TEMPLATE_ID','ITEM_ERROR_ITEM_TEMPLATE_ID','运费模板不存在');
    static ItemErrorCode ITEM_ERROR_ITEM_NOT_MATCH_USER = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_NOT_MATCH_USER','ITEM_ERROR_ITEM_NOT_MATCH_USER','信息被篡改,宝贝与卖家不一致');
    static ItemErrorCode ITEM_ERROR_ITEM_TITLE = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_TITLE','ITEM_ERROR_ITEM_TITLE','宝贝标题为空或者长度超过30个汉字');
    static ItemErrorCode ITEM_ERROR_ITEM_FROM = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_FROM','ITEM_ERROR_ITEM_FROM','宝贝发布来源不正确');
    static ItemErrorCode ITEM_ERROR_ITEM_DESC = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_DESC','ITEM_ERROR_ITEM_DESC','宝贝描述不足5个字符或者长度超过25000个字符');
    static ItemErrorCode ITEM_ERROR_ITEM_TYPE = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_TYPE','ITEM_ERROR_ITEM_TYPE','宝贝类型不正确');
    static ItemErrorCode ITEM_IN_THEME_PROCESS = new ItemErrorCode.fromParameters('ITEM_IN_THEME_PROCESS','IN_THEME_PROCESS','亲，您的宝贝正在专题报名中，不能删除或编辑');
    static ItemErrorCode ITEM_ERROR_ITEM_TAGS_COUNT = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_TAGS_COUNT','ITEM_ERROR_ITEM_TAGS_COUNT','宝贝标签最多5个');
    static ItemErrorCode ITEM_ERROR_ITEM_TAGS_PERCOUNT = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_TAGS_PERCOUNT','ITEM_ERROR_ITEM_TAGS_PERCOUNT','宝贝单个标签最多7个汉字');
    static ItemErrorCode ITEM_ERROR_ITEM_TAGS_INVALID = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_TAGS_INVALID','ITEM_ERROR_ITEM_TAGS_INVALID','宝贝标签含有特殊字符');
    static ItemErrorCode ITEM_ERROR_ITEM_GPS = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_GPS','ITEM_ERROR_ITEM_GPS','gps坐标不合法');
    static ItemErrorCode ITEM_ERROR_ITEM_STUFFSTATUS = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_STUFFSTATUS','ITEM_ERROR_ITEM_STUFFSTATUS','新旧程度不合法');
    static ItemErrorCode ITEM_ERROR_ITEM_RESERVEPRICE = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_RESERVEPRICE','ITEM_ERROR_ITEM_RESERVEPRICE','宝贝价格必须在0元与1亿元之间');
    static ItemErrorCode ITEM_ERROR_ITEM_TRANSPORTFEE = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_TRANSPORTFEE','ITEM_ERROR_ITEM_TRANSPORTFEE','宝贝运费必须在0元与1000元之间');
    static ItemErrorCode ITEM_ERROR_ITEM_ORIGINALPRICE = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_ORIGINALPRICE','ITEM_ERROR_ITEM_ORIGINALPRICE','宝贝原价必须在0元与1亿元之间');
    static ItemErrorCode ITEM_ERROR_ITEM_TRADETYPE = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_TRADETYPE','ITEM_ERROR_ITEM_TRADETYPE','交易方式不合法');
    static ItemErrorCode ITEM_ERROR_ITEM_PHONE = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_PHONE','ITEM_ERROR_ITEM_PHONE','联系电话不合法');
    static ItemErrorCode ITEM_ERROR_ITEM_PHONE_NOT_ACTIVE = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_PHONE_NOT_ACTIVE','ITEM_ERROR_ITEM_PHONE_NOT_ACTIVE','联系电话未通过验证');
    static ItemErrorCode ITEM_ERROR_ITEM_CONTACTER = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_CONTACTER','ITEM_ERROR_ITEM_CONTACTER','联系人最多不能超过8个汉字');
    static ItemErrorCode ITEM_ERROR_ITEM_CONTACTER_CHIANESE = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_CONTACTER_CHIANESE','ITEM_ERROR_ITEM_CONTACTER_CHIANESE','联系人请输入纯中文');
    static ItemErrorCode ITEM_ERROR_ITEM_OTHERCON = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_OTHERCON','ITEM_ERROR_ITEM_OTHERCON','其他联系方式最多不能超过15个汉字');
    static ItemErrorCode ITEM_ERROR_ITEM_TEMPLATE_FAILURE = new ItemErrorCode.fromParameters('ITEM_ERROR_ITEM_TEMPLATE_FAILURE','ITEM_ERROR_ITEM_TEMPLATE_ID','运费模版数据不完整');
    static ItemErrorCode ITEM_ERROR_RESELL_OFFLINE = new ItemErrorCode.fromParameters('ITEM_ERROR_RESELL_OFFLINE','ITEM_ERROR_RESELL_OFFLINE','该宝贝已下架，不支持转卖，换个宝贝试试~');
    static ItemErrorCode ITEM_NOT_OWNNER = new ItemErrorCode.fromParameters('ITEM_NOT_OWNNER','ITEM_NOT_OWNNER','非本人宝贝无法删除');
    static ItemErrorCode POLISH_AUCTION_NOT_POLISH = new ItemErrorCode.fromParameters('POLISH_AUCTION_NOT_POLISH','POLISH_AUCTION_NOT_POLISH','拍卖商品不能擦亮哦!');
    static ItemErrorCode POLISH_DUPLICATE = new ItemErrorCode.fromParameters('POLISH_DUPLICATE','ITEM_ERROR_POLISH_DUPLICATE','一天只能擦亮一次');
    static ItemErrorCode ITEM_PROPOSE_CHECK_ERROR = new ItemErrorCode.fromParameters('ITEM_PROPOSE_CHECK_ERROR','ITEM_PROPOSE_CHECK_ERROR','预发布校验失败');
    static ItemErrorCode DIVISION_ERROR_DIVISION_ID = new ItemErrorCode.fromParameters('DIVISION_ERROR_DIVISION_ID','DIVISION_ERROR_DIVISION_ID','根据地区id找不到对应的省、市、区，或者不是叶子节点行政单位');
    static ItemErrorCode DIVISION_ERROR_VALIDATOR_ERROR_ID = new ItemErrorCode.fromParameters('DIVISION_ERROR_VALIDATOR_ERROR_ID','DIVISION_ERROR_VALIDATOR_ERROR_ID','请选择到城市区域,或者取消按距离计费,手动填写运费');
    static ItemErrorCode DIVISION_ERROR_IP = new ItemErrorCode.fromParameters('DIVISION_ERROR_IP','DIVISION_ERROR_IP','ip地址不合法');
    static ItemErrorCode ISV_ATTRIBUTE_WEIBO_SOME_PARAMETERS_CANT_BE_BLANK = new ItemErrorCode.fromParameters('ISV_ATTRIBUTE_WEIBO_SOME_PARAMETERS_CANT_BE_BLANK','ISV_ATTRIBUTE_WEIBO_SOME_PARAMETERS_CANT_BE_BLANK','attribute中用户信息的必需参数不能为空');
    static ItemErrorCode ISV_ATTRIBUTE_WEIBO_SOME_PARAMETERS_NOT_IN_CONTROL = new ItemErrorCode.fromParameters('ISV_ATTRIBUTE_WEIBO_SOME_PARAMETERS_NOT_IN_CONTROL','ISV_ATTRIBUTE_WEIBO_SOME_PARAMETERS_NOT_IN_CONTROL','attribute中用户信息的部分参数值非法');
    static ItemErrorCode ATTRIBUTE_NOT_SUPPORT = new ItemErrorCode.fromParameters('ATTRIBUTE_NOT_SUPPORT','ATTRIBUTE_NOT_SUPPORT','存在不支持的attribute');
    static ItemErrorCode ERROR_UPDATE_ITEMTYPE_CHANGE_FORBIDDEN = new ItemErrorCode.fromParameters('ERROR_UPDATE_ITEMTYPE_CHANGE_FORBIDDEN','ERROR_UPDATE_ITEMTYPE_CHANGE_FORBIDDEN','该宝贝已参加捐赠/义卖/72h服务,不能更改发布类型');
    static ItemErrorCode ERROR_VIDEO_PROCESS_ERROR = new ItemErrorCode.fromParameters('ERROR_VIDEO_PROCESS_ERROR','ERROR_VIDEO_PROCESS_ERROR','视频处理异常，请稍后再试');

    static Map<String, ItemErrorCode> enum_item_map = {
        'SYSTEM_ERROR': SYSTEM_ERROR,
        'SYSTEM_DB_SAVE_ERROR': SYSTEM_DB_SAVE_ERROR,
        'SYSTEM_VIDEO_SAVE_ERROR': SYSTEM_VIDEO_SAVE_ERROR,
        'SYSTEM_VIDEO_INFO_ERROR': SYSTEM_VIDEO_INFO_ERROR,
        'SYSTEM_UNKOWN_TYPE_PUBLISH': SYSTEM_UNKOWN_TYPE_PUBLISH,
        'SYSTEM_DB_QUERY_ERROR': SYSTEM_DB_QUERY_ERROR,
        'UNKOWN_ERROR': UNKOWN_ERROR,
        'IC_ERROR_CODE_EXCEPTION': IC_ERROR_CODE_EXCEPTION,
        'IC_ERROR_SERVICE_EXCEPTION': IC_ERROR_SERVICE_EXCEPTION,
        'AUCTION_ERROR_SERVICE_EXCEPTION': AUCTION_ERROR_SERVICE_EXCEPTION,
        'ITEM_NOT_FOUND': ITEM_NOT_FOUND,
        'VIDEO_NOT_FOUND': VIDEO_NOT_FOUND,
        'ITEM_ERROR_PUBLISH_LIMIT_16': ITEM_ERROR_PUBLISH_LIMIT_16,
        'EDIT_NOT_ALLOWED': EDIT_NOT_ALLOWED,
        'KFC_ERROR_TITLE': KFC_ERROR_TITLE,
        'KFC_ERROR_VIRTUAL_TITLE': KFC_ERROR_VIRTUAL_TITLE,
        'KFC_ERROR_CONTACTER': KFC_ERROR_CONTACTER,
        'KFC_ERROR_DISCREBE': KFC_ERROR_DISCREBE,
        'KFC_ERROR_DRAFT_CONDITION': KFC_ERROR_DRAFT_CONDITION,
        'KFC_ERROR_OUTER_SITE_CONTACTOR_KFC': KFC_ERROR_OUTER_SITE_CONTACTOR_KFC,
        'KFC_ERROR_OUTER_SITE_CONTACTOR_GARBAGE': KFC_ERROR_OUTER_SITE_CONTACTOR_GARBAGE,
        'KFC_ERROR_G20_CONDITION': KFC_ERROR_G20_CONDITION,
        'KFC_ERROR_PTZLZZZR_CONDITION': KFC_ERROR_PTZLZZZR_CONDITION,
        'DRAFT_ERROR_TYPE': DRAFT_ERROR_TYPE,
        'DRAFT_ERROR_STATUS_ILLEGAL': DRAFT_ERROR_STATUS_ILLEGAL,
        'DRAFT_ERROR_FISH_POOL_EMPTY': DRAFT_ERROR_FISH_POOL_EMPTY,
        'DRAFT_ERROR_CONDITION_ERROR': DRAFT_ERROR_CONDITION_ERROR,
        'TOPIC_ERROR_TYPE': TOPIC_ERROR_TYPE,
        'TOPIC_ERROR_STATUS_ILLEGAL': TOPIC_ERROR_STATUS_ILLEGAL,
        'USER_ERROR_USER_CANT_FOUND': USER_ERROR_USER_CANT_FOUND,
        'USER_ERROR_USER_NOT_AUTH': USER_ERROR_USER_NOT_AUTH,
        'USER_ERROR_USER_B_SELLER': USER_ERROR_USER_B_SELLER,
        'USER_ERROR_USER_IS_XIAOER': USER_ERROR_USER_IS_XIAOER,
        'USER_ERROR_USER_WAS_FORBIDDEN': USER_ERROR_USER_WAS_FORBIDDEN,
        'QUANTITY_ITEM_CAT_TOO_LARGE': QUANTITY_ITEM_CAT_TOO_LARGE,
        'REST_TOTAL_QUANTITY_GREAT_RESTRICT': REST_TOTAL_QUANTITY_GREAT_RESTRICT,
        'BID_NO_PERMISSION_USER': BID_NO_PERMISSION_USER,
        'BID_PRICE_START_ILLEGAL': BID_PRICE_START_ILLEGAL,
        'BID_PRICE_AMOUNT_ILLEGAL': BID_PRICE_AMOUNT_ILLEGAL,
        'BID_DEPOSIT_AMOUNT_REQUIRED': BID_DEPOSIT_AMOUNT_REQUIRED,
        'BID_DEPOSIT_AMOUNT_ILLEGAL': BID_DEPOSIT_AMOUNT_ILLEGAL,
        'BID_PRICE_MARGIN_ILLEGAL': BID_PRICE_MARGIN_ILLEGAL,
        'BID_PRICE_MARGIN_REQUIRED': BID_PRICE_MARGIN_REQUIRED,
        'BID_ITEM_AUCTION_TIME_NEED': BID_ITEM_AUCTION_TIME_NEED,
        'BID_ITEM_AUCTION_BEG_MUST_AFTER_NOW': BID_ITEM_AUCTION_BEG_MUST_AFTER_NOW,
        'BID_ITEM_AUCTION_END_MUST_AFTER_NOW': BID_ITEM_AUCTION_END_MUST_AFTER_NOW,
        'BID_ITEM_AUCTION_END_MUST_AFTER_AUCTION_START': BID_ITEM_AUCTION_END_MUST_AFTER_AUCTION_START,
        'BID_ERROR_AUCTION_ID_LOST': BID_ERROR_AUCTION_ID_LOST,
        'BID_ERROR_STATUS_CHANGE_TO_ITEM': BID_ERROR_STATUS_CHANGE_TO_ITEM,
        'PICTURE_ERROR_MULTI_PIC': PICTURE_ERROR_MULTI_PIC,
        'PICTURE_OVER_AVAILSPACE': PICTURE_OVER_AVAILSPACE,
        'PICTURE_TIME_OUT': PICTURE_TIME_OUT,
        'PICTURE_ERROR_FORMAT': PICTURE_ERROR_FORMAT,
        'PICTURE_NO_SERVICE': PICTURE_NO_SERVICE,
        'PICTURE_SERVICE_OVERDUE': PICTURE_SERVICE_OVERDUE,
        'PICTURE_ERROR_THIS_PIC': PICTURE_ERROR_THIS_PIC,
        'PICTURE_OVER_MAXSIZE': PICTURE_OVER_MAXSIZE,
        'PICTURE_IS_NULL': PICTURE_IS_NULL,
        'PICTURE_OUT_OF_MEMERY': PICTURE_OUT_OF_MEMERY,
        'PICTURE_IMAGE_TYPE_UNDEFINED': PICTURE_IMAGE_TYPE_UNDEFINED,
        'PICTURE_IMAGE_TEXT_OUT_OF_MEMERY': PICTURE_IMAGE_TEXT_OUT_OF_MEMERY,
        'PICTURE_IMAGE_NO_CORRECT': PICTURE_IMAGE_NO_CORRECT,
        'PICTURE_MAJOR_IMAGE_ERROR': PICTURE_MAJOR_IMAGE_ERROR,
        'PICTURE_RISK_OUT_IMAGE_URL': PICTURE_RISK_OUT_IMAGE_URL,
        'PICTURE_IMAGE_DELTEDED_ERROR': PICTURE_IMAGE_DELTEDED_ERROR,
        'DUTCH_ITEM_CAN_NOT_BE_DELETE': DUTCH_ITEM_CAN_NOT_BE_DELETE,
        'CATEGORY_ERROR_CATEGORY_NOT_EXIST': CATEGORY_ERROR_CATEGORY_NOT_EXIST,
        'CATEGORY_ERROR_RENT_NEED_AREA': CATEGORY_ERROR_RENT_NEED_AREA,
        'CATEGORY_ERROR_RENT_NEED_AREA_OLDPUB': CATEGORY_ERROR_RENT_NEED_AREA_OLDPUB,
        'CATEGORY_ERROR_PRICE_LESS_THAN_COMMON': CATEGORY_ERROR_PRICE_LESS_THAN_COMMON,
        'CATEGORY_ERROR_PRICE_MORE_THAN_COMMON': CATEGORY_ERROR_PRICE_MORE_THAN_COMMON,
        'ITEM_ERROR_ITEM_TEMPLATE_ID': ITEM_ERROR_ITEM_TEMPLATE_ID,
        'ITEM_ERROR_ITEM_NOT_MATCH_USER': ITEM_ERROR_ITEM_NOT_MATCH_USER,
        'ITEM_ERROR_ITEM_TITLE': ITEM_ERROR_ITEM_TITLE,
        'ITEM_ERROR_ITEM_FROM': ITEM_ERROR_ITEM_FROM,
        'ITEM_ERROR_ITEM_DESC': ITEM_ERROR_ITEM_DESC,
        'ITEM_ERROR_ITEM_TYPE': ITEM_ERROR_ITEM_TYPE,
        'ITEM_IN_THEME_PROCESS': ITEM_IN_THEME_PROCESS,
        'ITEM_ERROR_ITEM_TAGS_COUNT': ITEM_ERROR_ITEM_TAGS_COUNT,
        'ITEM_ERROR_ITEM_TAGS_PERCOUNT': ITEM_ERROR_ITEM_TAGS_PERCOUNT,
        'ITEM_ERROR_ITEM_TAGS_INVALID': ITEM_ERROR_ITEM_TAGS_INVALID,
        'ITEM_ERROR_ITEM_GPS': ITEM_ERROR_ITEM_GPS,
        'ITEM_ERROR_ITEM_STUFFSTATUS': ITEM_ERROR_ITEM_STUFFSTATUS,
        'ITEM_ERROR_ITEM_RESERVEPRICE': ITEM_ERROR_ITEM_RESERVEPRICE,
        'ITEM_ERROR_ITEM_TRANSPORTFEE': ITEM_ERROR_ITEM_TRANSPORTFEE,
        'ITEM_ERROR_ITEM_ORIGINALPRICE': ITEM_ERROR_ITEM_ORIGINALPRICE,
        'ITEM_ERROR_ITEM_TRADETYPE': ITEM_ERROR_ITEM_TRADETYPE,
        'ITEM_ERROR_ITEM_PHONE': ITEM_ERROR_ITEM_PHONE,
        'ITEM_ERROR_ITEM_PHONE_NOT_ACTIVE': ITEM_ERROR_ITEM_PHONE_NOT_ACTIVE,
        'ITEM_ERROR_ITEM_CONTACTER': ITEM_ERROR_ITEM_CONTACTER,
        'ITEM_ERROR_ITEM_CONTACTER_CHIANESE': ITEM_ERROR_ITEM_CONTACTER_CHIANESE,
        'ITEM_ERROR_ITEM_OTHERCON': ITEM_ERROR_ITEM_OTHERCON,
        'ITEM_ERROR_ITEM_TEMPLATE_FAILURE': ITEM_ERROR_ITEM_TEMPLATE_FAILURE,
        'ITEM_ERROR_RESELL_OFFLINE': ITEM_ERROR_RESELL_OFFLINE,
        'ITEM_NOT_OWNNER': ITEM_NOT_OWNNER,
        'POLISH_AUCTION_NOT_POLISH': POLISH_AUCTION_NOT_POLISH,
        'POLISH_DUPLICATE': POLISH_DUPLICATE,
        'ITEM_PROPOSE_CHECK_ERROR': ITEM_PROPOSE_CHECK_ERROR,
        'DIVISION_ERROR_DIVISION_ID': DIVISION_ERROR_DIVISION_ID,
        'DIVISION_ERROR_VALIDATOR_ERROR_ID': DIVISION_ERROR_VALIDATOR_ERROR_ID,
        'DIVISION_ERROR_IP': DIVISION_ERROR_IP,
        'ISV_ATTRIBUTE_WEIBO_SOME_PARAMETERS_CANT_BE_BLANK': ISV_ATTRIBUTE_WEIBO_SOME_PARAMETERS_CANT_BE_BLANK,
        'ISV_ATTRIBUTE_WEIBO_SOME_PARAMETERS_NOT_IN_CONTROL': ISV_ATTRIBUTE_WEIBO_SOME_PARAMETERS_NOT_IN_CONTROL,
        'ATTRIBUTE_NOT_SUPPORT': ATTRIBUTE_NOT_SUPPORT,
        'ERROR_UPDATE_ITEMTYPE_CHANGE_FORBIDDEN': ERROR_UPDATE_ITEMTYPE_CHANGE_FORBIDDEN,
        'ERROR_VIDEO_PROCESS_ERROR': ERROR_VIDEO_PROCESS_ERROR,
    };

    String getRType() {
        return r'com.alibaba.idlefish.content.ItemErrorCode';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        if (json['name'] == null || !enum_item_map.containsKey(json['name'])) {
            return;
        }
        ItemErrorCode me = enum_item_map[json['name']];
        this.enum_item_name = me.enum_item_name;
        this.errorKey = me.errorKey;
        this.errorMsg = me.errorMsg;
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {'name':makePair(enum_item_name,14)};
        return val;
    }

    @override
    dynamic toJson() {
        return enum_item_name;
    }

    @override
    String toString() {
        return enum_item_name;
    }
}
