import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/image_info.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/address_info.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/user_info.dart';

class ItemInfo implements DObjectBase {
    AddressInfo address;

    int itemId;

    String itemType;

    int cateId;

    String leafName;

    List<ImageInfo> images;

    List<String> tags;

    UserInfo owner;


    String getRType() {
        return r'com.alibaba.idlefish.content.ItemInfo';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        //从Map转成对象的实现
        address = json['address'] == null ? null : (new AddressInfo()..fromJson(json['address'] as Map, genericNewMap: null));
        itemId = JsonUtil.parseInt(json['itemId']);
        itemType = JsonUtil.parseString(json['itemType']);
        cateId = JsonUtil.parseInt(json['cateId']);
        leafName = JsonUtil.parseString(json['leafName']);
        images = (json['images'] as List)?.map((dynamic e) => e == null ? null : (new ImageInfo()..fromJson(e as Map, genericNewMap: null)))?.toList();
        tags = (json['tags'] as List)?.map((dynamic e) => JsonUtil.parseString(e))?.toList();
        owner = json['owner'] == null ? null : (new UserInfo()..fromJson(json['owner'] as Map, genericNewMap: null));
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('address', makePair(address?.toHessianJson(),r'com.alibaba.idlefish.content.AddressInfo'));
        writeNotNull('itemId', makePair(itemId,7));
        writeNotNull('itemType', makePair(itemType,14));
        writeNotNull('cateId', makePair(cateId,7));
        writeNotNull('leafName', makePair(leafName,14));
        writeNotNull('images', makePair(images == null ? null : images.map((ImageInfo e) => makePair(e?.toHessianJson(),r'com.alibaba.idlefish.content.ImageInfo')).toList(),15));
        writeNotNull('tags', makePair(tags == null ? null : tags.map((String e) => makePair(e,14)).toList(),15));
        writeNotNull('owner', makePair(owner?.toHessianJson(),r'com.alibaba.idlefish.content.UserInfo'));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('address', makePairJson(address?.toJson(),r'com.alibaba.idlefish.content.AddressInfo'));
        writeNotNull('itemId', itemId);
        writeNotNull('itemType', itemType);
        writeNotNull('cateId', cateId);
        writeNotNull('leafName', leafName);
        writeNotNull('images', makePairJson(images == null ? null : images.map((ImageInfo e) => makePairJson(e?.toJson(),r'com.alibaba.idlefish.content.ImageInfo')).toList(),15));
        writeNotNull('tags', makePairJson(tags == null ? null : tags.map((String e) => e).toList(),15));
        writeNotNull('owner', makePairJson(owner?.toJson(),r'com.alibaba.idlefish.content.UserInfo'));
        return val;
    }
}
