import 'package:saker/framework/hsf/hsf_object_base.dart';

class ItemType implements DObjectBase {
    //这个值映射Java枚举常量名
    String enum_item_name;
    String value;

    ItemType();

    ItemType.fromParameters(String enum_item_name,String value) {
        this.enum_item_name = enum_item_name;
        this.value = value;
    }

    static ItemType AUCTION = new ItemType.fromParameters('AUCTION','a');
    static ItemType BUYNOW = new ItemType.fromParameters('BUYNOW','b');
    static ItemType DRAFT = new ItemType.fromParameters('DRAFT','d');
    static ItemType TOPIC = new ItemType.fromParameters('TOPIC','t');
    static ItemType ESSAY = new ItemType.fromParameters('ESSAY','e');

    static Map<String, ItemType> enum_item_map = {
        'AUCTION': AUCTION,
        'BUYNOW': BUYNOW,
        'DRAFT': DRAFT,
        'TOPIC': TOPIC,
        'ESSAY': ESSAY,
    };

    String getRType() {
        return r'com.alibaba.idlefish.content.ItemType';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        if (json['name'] == null || !enum_item_map.containsKey(json['name'])) {
            return;
        }
        ItemType me = enum_item_map[json['name']];
        this.enum_item_name = me.enum_item_name;
        this.value = me.value;
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {'name':makePair(enum_item_name,14)};
        return val;
    }

    @override
    dynamic toJson() {
        return enum_item_name;
    }

    @override
    String toString() {
        return enum_item_name;
    }
}
