import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_type.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_error_code.dart';

class NetItemReq implements DObjectBase {
    int itemId;

    int peerUserid;

    ItemErrorCode itemErrorCode;

    ItemType itemType;


    String getRType() {
        return r'com.alibaba.idlefish.content.NetItemReq';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        //从Map转成对象的实现
        itemId = JsonUtil.parseInt(json['itemId']);
        peerUserid = JsonUtil.parseInt(json['peerUserid']);
        itemErrorCode = json['itemErrorCode'] == null ? null : (new ItemErrorCode()..fromJson(json['itemErrorCode'] is Map ? json['itemErrorCode'] as Map : {'name': json['itemErrorCode']}, genericNewMap: null));
        itemType = json['itemType'] == null ? null : (new ItemType()..fromJson(json['itemType'] is Map ? json['itemType'] as Map : {'name': json['itemType']}, genericNewMap: null));
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('itemId', makePair(itemId,7));
        writeNotNull('peerUserid', makePair(peerUserid,7));
        writeNotNull('itemErrorCode', makePair(itemErrorCode?.toHessianJson(),r'com.alibaba.idlefish.content.ItemErrorCode'));
        writeNotNull('itemType', makePair(itemType?.toHessianJson(),r'com.alibaba.idlefish.content.ItemType'));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('itemId', itemId);
        writeNotNull('peerUserid', peerUserid);
        writeNotNull('itemErrorCode', makePairJson(itemErrorCode?.toJson(),r'com.alibaba.idlefish.content.ItemErrorCode'));
        writeNotNull('itemType', makePairJson(itemType?.toJson(),r'com.alibaba.idlefish.content.ItemType'));
        return val;
    }
}
