import 'package:saker/framework/hsf/hsf_object_base.dart';

class UserInfo implements DObjectBase {
    static const int GENDER_MALE = 0;

    static const int GENDER_FEMALE = 1;

    static const int LOGIN_TYPE_TAOBAO = 0;

    static const int LOGIN_TYPE_FACEBOOK = 1;

    static const int LOGIN_TYPE_GOOGLE = 2;

    String signature;

    String country;

    int userId;

    String nick;

    String avatar;

    String tagPicUrl;

    int gender;

    String birthday;

    int lastVisitTime;

    int afterVisited;

    int loginType;


    String getRType() {
        return r'com.alibaba.idlefish.content.UserInfo';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        //从Map转成对象的实现
        signature = JsonUtil.parseString(json['signature']);
        country = JsonUtil.parseString(json['country']);
        userId = JsonUtil.parseInt(json['userId']);
        nick = JsonUtil.parseString(json['nick']);
        avatar = JsonUtil.parseString(json['avatar']);
        tagPicUrl = JsonUtil.parseString(json['tagPicUrl']);
        gender = JsonUtil.parseInt(json['gender']);
        birthday = JsonUtil.parseString(json['birthday']);
        lastVisitTime = JsonUtil.parseInt(json['lastVisitTime']);
        afterVisited = JsonUtil.parseInt(json['afterVisited']);
        loginType = JsonUtil.parseInt(json['loginType']);
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('signature', makePair(signature,14));
        writeNotNull('country', makePair(country,14));
        writeNotNull('userId', makePair(userId,7));
        writeNotNull('nick', makePair(nick,14));
        writeNotNull('avatar', makePair(avatar,14));
        writeNotNull('tagPicUrl', makePair(tagPicUrl,14));
        writeNotNull('gender', makePair(gender,5));
        writeNotNull('birthday', makePair(birthday,14));
        writeNotNull('lastVisitTime', makePair(lastVisitTime,7));
        writeNotNull('afterVisited', makePair(afterVisited,7));
        writeNotNull('loginType', makePair(loginType,5));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('signature', signature);
        writeNotNull('country', country);
        writeNotNull('userId', userId);
        writeNotNull('nick', nick);
        writeNotNull('avatar', avatar);
        writeNotNull('tagPicUrl', tagPicUrl);
        writeNotNull('gender', gender);
        writeNotNull('birthday', birthday);
        writeNotNull('lastVisitTime', lastVisitTime);
        writeNotNull('afterVisited', afterVisited);
        writeNotNull('loginType', loginType);
        return val;
    }
}
